#include "cadnaEigen.h"
#include <Eigen/Core>
#include <iostream>
#include <stdio.h>
#include <cadna.h>

int main()
{
  cadna_init(-1,0,51,1);

  typedef Eigen::Matrix< float_st, 2, 2> MatrixD_st;
  MatrixD_st X, Y, tmp;
  X(0, 0) = 2.3654;
  X(1, 0) = 1.84531;
  X(0, 1) = 1.1341;
  X(1, 1) = 1.45354;

  Y(0, 0) = 2.357;
  Y(1, 0) = 1.8654;
  Y(0, 1) = 1.169546;
  Y(1, 1) = 1.556;


  for(int i = 0; i < 100; i++)
    {
      tmp = X;
      X = X*X-Y*X+X*Y*Y;
      //      Y = tmp*Y*tmp-tmp;
    }

  std::cout << "X" << std::endl;
  std::cout << X(0,0) <<", "<< X(0,1)<< std::endl;
  std::cout << X(0,1) <<", "<< X(1,1)<< std::endl;

  std::cout << "Y" << std::endl;
  std::cout << Y(0,0) <<", "<< Y(0,1)<< std::endl;
  std::cout << Y(0,1) <<", "<< Y(1,1)<< std::endl;

  cadna_end();
  return 0;
}
